summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-02-13 08:50:36 +0100
committerHans de Graaff <graaff@gentoo.org>2021-02-13 08:53:35 +0100
commit8a8de0027021bad8ff59ad7101f58c21a1ee2ab4 (patch)
tree176315590f8e6cd7bf2e59381a4eaaaf5d6293fd /dev-ruby/actioncable/actioncable-5.2.4.5.ebuild
parentdev-ruby/activemodel: add 5.2.4.5 (diff)
downloadgentoo-8a8de0027021bad8ff59ad7101f58c21a1ee2ab4.tar.gz
gentoo-8a8de0027021bad8ff59ad7101f58c21a1ee2ab4.tar.bz2
gentoo-8a8de0027021bad8ff59ad7101f58c21a1ee2ab4.zip
dev-ruby/actioncable: add 5.2.4.5
Package-Manager: Portage-3.0.13, Repoman-3.0.2 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby/actioncable/actioncable-5.2.4.5.ebuild')
-rw-r--r--dev-ruby/actioncable/actioncable-5.2.4.5.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-ruby/actioncable/actioncable-5.2.4.5.ebuild b/dev-ruby/actioncable/actioncable-5.2.4.5.ebuild
new file mode 100644
index 00000000000..8acea8ea41d
--- /dev/null
+++ b/dev-ruby/actioncable/actioncable-5.2.4.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_DOCDIR=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_EXTRAINSTALL="app"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem eapi7-ver
+
+DESCRIPTION="Integrated WebSockets for Rails"
+HOMEPAGE="https://github.com/rails/rails"
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+# Tests require many new dependencies, skipping for now
+RESTRICT="test"
+
+ruby_add_rdepend "
+ ~dev-ruby/actionpack-${PV}:*
+ dev-ruby/nio4r:2
+ >=dev-ruby/websocket-driver-0.6.1:0
+"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/railties-4.2.0
+ dev-ruby/test-unit:2
+ >=dev-ruby/mocha-0.14.0:0.14
+ )"